Page MenuHomePhabricator

Set $wgCategoryCollation to 'uca-fr' on the French Wikipedia and rebuild category sort keys
Closed, ResolvedPublic

Description

Please set $wgCategoryCollation to 'uca-fr' on the French Wikipedia and rebuild category sort keys.

Consensus: https://fr.wikipedia.org/wiki/Wikipédia:Le_Bistro/26_septembre_2013#Ordre_alphab.C3.A9tique_des_lettres_accentu.C3.A9es_dans_les_cat.C3.A9gories


Version: unspecified
Severity: enhancement

Details

Reference
bz54680

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:20 AM
bzimport set Reference to bz54680.
matmarex created this task.Sep 27 2013, 8:06 AM

Change 86320 had a related patch set uploaded by Odder:
(bug 54680) Set $wgCategoryCollation for the French Wikipedia

https://gerrit.wikimedia.org/r/86320

Change 86320 merged by Reedy:
(bug 54680) Set $wgCategoryCollation for the French Wikipedia

https://gerrit.wikimedia.org/r/86320

According to Reedy on IRC, 2370000 out of 19615163 page–category pairs processed right now, or about 12%.

(That's a lot of categories per page, by the way.)

Reedy added a comment.Oct 16 2013, 3:57 PM

Selecting next 10000 rows... processing...8010000 done.
Selecting next 10000 rows... processing...A database query error has occurred.
Query: UPDATE categorylinks SET cl_sortkey = '-CS/==9\';/B9\';/-CS/==������ \0',cl_sortkey_prefix = 'Dowell, Jake',cl_collation = 'uca-fr',cl_type = 'page',cl_timestamp = cl_timestamp WHERE cl_from = '4768816' AND cl_to = 'Joueur_des_Stars_de_Dallas'
Function: UpdateCollation::execute
Error: 1290 The MySQL server is running with the --read-only option so it cannot execute this statement (10.64.0.10)

real 3476m52.984s
user 44m27.779s
sys 3m41.506s

Reedy added a comment.Oct 16 2013, 4:32 PM

Error above is from a master switch.

Re-started.

(In reply to comment #6)

Re-started.

What's the state of this?

According to Reedy – and let me paraphrase here – database stuff broke. (I just asked him today and he promised to elaborate later.)

CC-ing Sean Pringle who apparently had something to do with this somewhere.

The UpdateCollation job caused concurrency and load issues on the S6 database master. Turning off the InnoDB adaptive hash index allows the job to run sustainably. Not ideal in the long term but the cheapest fix for now.

I've been running the job during S6 off-peak hours (such as they are) and when other things permit. Looks to be around 55% done.

(In reply to comment #9)

I've been running the job during S6 off-peak hours (such as they are) and
when other things permit. Looks to be around 55% done.

Is this finished yet?

The job is finally finished.

Marking RESOLVED FIXED per comment 11.

(I filed bug 56041 about the troubles here.)

chealer wrote:

If this change is in production, it looks like it didn't fix sorting (see https://fr.wikipedia.org/w/index.php?title=Sp%C3%A9cial:Cat%C3%A9gories_inutilis%C3%A9es&limit=50&offset=1000 ).

It is in production, but the sorting is currently only used for category listings and not for the query special pages listings.